### Function

# Dex value_set_object

since: 0.4

#### Declaration [src]

    void
    dex_value_set_object (
      GValue* value,
      DexObject* object
    )

#### Description [src]

Stores the given `DexObject` inside `value`.

The `GValue` will acquire a reference to the `object`.

Available since: 0.4

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with type `DEX_TYPE_OBJECT`

  The data is owned by the caller of the function.

`object`

  Type: `DexObject`

  A `DexObject` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.